UnifAPI Docs
Linkedin

Search LinkedIn people by name, title, company, etc.

GET
/linkedin/search/people

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Query Parameters

cursor?string
name?string
first_name?string
last_name?string
title?string
company?string
school?string
geocode_location?string
current_company?string
profile_language?string
industry?string
service_category?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/linkedin/search/people"
{
  "items": [
    {
      "id": "string",
      "urn": "string",
      "username": "string",
      "display_name": "string",
      "headline": "string",
      "location": "string",
      "avatar_url": "string",
      "url": "string",
      "is_verified": true,
      "is_premium": true,
      "is_top_voice": true,
      "is_open_to_work": true,
      "is_hiring": true,
      "follower_count": 0
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}